var express = require('express')
var router = express.Router()

var libs = process.cwd() + '/libs/'

var log = require(libs + 'log')(module)
var config = require(libs + 'config')

var conn = require(libs + 'db/monet')

router.get('/', function (req, res) {
    res.json({
        msg: 'SimCAQ API is running'
    })
})

router.get('/data', function(req, res) {
    console.log(req.query)
    console.log(req.query.met)
    console.log(req.query.dim)
    conn.query(
        'SELECT * FROM turmas'
    ).then(function(result) {
        res.json({
            result: result
        })
    })
})

router.get('/matriculas', function(req, res) {
    console.log(req.query);

    tbl_name = "matriculas";
    switch(req.query.agregar)
    {
    case "estado":
        tbl_name = "matriculas_estado";
        break;
    case "regiao":
        tbl_name = "matriculas_regiao";
        break;
    }

    console.log("Querying table '" + tbl_name + "'");

    /* FIXME: Replace parameter substitution
       - Might not be needed since the parameter tbl_name is not supplied by the user */
    conn.query(
        'SELECT * FROM ' + tbl_name, true
    ).then(function(result) {
        console.log(result);
        res.json({
            result: result.data
        })
    });
})

module.exports = router
